# JavaCompileTaskOperationResult

interface JavaCompileTaskOperationResult : TaskOperationResult

Describes the result of a `JavaCompile` task.

Currently, this result is only reported for successful tasks.

#### Since

5.1

## Types

AnnotationProcessorResult
Link copied to clipboard
interface AnnotationProcessorResult
The results of an annotation processor used during compilation.

## Functions

getAnnotationProcessorResults
Link copied to clipboard
@Nullable
abstract fun getAnnotationProcessorResults(): @Nullable List<JavaCompileTaskOperationResult.AnnotationProcessorResult>
Returns results of used annotation processors, if available.
getEndTime
Link copied to clipboard
abstract fun getEndTime(): Long
getStartTime
Link copied to clipboard
abstract fun getStartTime(): Long